From: "Benda XU" <heroxbd@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-i18n/man-pages-ja/
Date: Thu, 21 Dec 2017 09:33:13 +0000 (UTC) [thread overview]
Message-ID: <1513848786.c92e6b572559d6688eaf0343e23bebdd7f8d28a4.heroxbd@gentoo> (raw)
commit: c92e6b572559d6688eaf0343e23bebdd7f8d28a4
Author: Juanjie Xi <strangemk3 <AT> gmail <DOT> com>
AuthorDate: Thu Dec 21 04:46:14 2017 +0000
Commit: Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Thu Dec 21 09:33:06 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c92e6b57
app-i18n/man-pages-ja: Version bump to 20171215, EAPI-6.
Closes: https://github.com/gentoo/gentoo/pull/6594
app-i18n/man-pages-ja/Manifest | 1 +
app-i18n/man-pages-ja/man-pages-ja-20171215.ebuild | 96 ++++++++++++++++++++++
2 files changed, 97 insertions(+)
diff --git a/app-i18n/man-pages-ja/Manifest b/app-i18n/man-pages-ja/Manifest
index 5fddb398fb0..7168a51d3de 100644
--- a/app-i18n/man-pages-ja/Manifest
+++ b/app-i18n/man-pages-ja/Manifest
@@ -1,3 +1,4 @@
DIST man-pages-ja-20130215.tar.gz 4384182 BLAKE2B eb6a4be0a53763776b629369028eeae96f472a8dcb0752559d124cbffc7b18a5d939fe6e37d05c1162aeec79701c63fe1602754f260edbb281cd543144d98c77 SHA512 655e9481dfdfc619013f8cae2928d7ccd70bba31631f7b10b894b1d96ab64bae4846be68d8a633791f1c169faed6d42466bd60ee4d7f92031f596d8f23cb6138
DIST man-pages-ja-20131015.tar.gz 4546129 BLAKE2B d11592e752c8f48b054552fcd5beb4430ae83bd06e699d34fa9b7039a89e57347d13ae2343f190541f881bd08e2f443a669c299f7ce6e5dd9d7e1e78f3d862b0 SHA512 afd2aa2fb227814a8de4b75baec4359e401ef055e23795719b964cba10e5018a368ba924719b017709c2bb34a5ebca58d6eb85512871515d6e7867fc4b0e4982
+DIST man-pages-ja-20171215.tar.gz 4802604 BLAKE2B 24ded9e82f20df322fa7e96a05806f37f26796475f64e2b075a60b60762e4b331c96e82e0582896da323a643070779204fb50eb8e68156ba2e74a1a41649f10e SHA512 8cef4489e3210c2e30fd880c1639aaf314005c7f3987001677cd869924275cbf9df27fdc855cba9d887e5a185da72779167227a68a080d370b233bcd4eca4d30
DIST portage-man-pages-ja-20060415.tar.gz 67347 BLAKE2B 77be89a79be1d4fc3c09cd7c74cd8ccfd18649cdf0121daec008b21114c5a77618a88f4abed266599b944aa5bf11fe55c5b6e89fbba51ebe2a548eb85d9a2c6d SHA512 37364cdcb27b460663bdae31fea1ac653317ba4d928a5325c51814eb1677d7d9fb9bcc55cf64d63a8e6daaefa34d8604e0efe3582308957397cad31325a6eaad
diff --git a/app-i18n/man-pages-ja/man-pages-ja-20171215.ebuild b/app-i18n/man-pages-ja/man-pages-ja-20171215.ebuild
new file mode 100644
index 00000000000..7d0b4b2cc1f
--- /dev/null
+++ b/app-i18n/man-pages-ja/man-pages-ja-20171215.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+GENTOO_MAN_P="portage-${PN}-20060415"
+
+DESCRIPTION="A collection of manual pages translated into Japanese"
+HOMEPAGE="http://linuxjm.osdn.jp/ https://github.com/hattya/portage-man-pages-ja"
+SRC_URI="http://linuxjm.osdn.jp/${P}.tar.gz
+ https://dev.gentoo.org/~hattya/distfiles/${GENTOO_MAN_P}.tar.gz"
+
+LICENSE="GPL-2+ GPL-2 LGPL-2+ LGPL-2 BSD MIT ISC HPND FDL-1.1+ LDP-1 LDP-1a man-pages Texinfo-manual"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE=""
+
+RDEPEND="virtual/man"
+
+src_prepare() {
+
+ sed -i -e "/^\(man\|shadow\)/s:Y:N:" script/pkgs.list || die
+
+ # remove man pages that are provided by other packages.
+ # - sys-apps/shadow +nls
+ rm -f manual/*/man1/{chfn,chsh,newgrp,su,passwd,groups}.1 || die
+ rm -f manual/*/man8/{vigr,vipw}.8 || die
+ # - app-arch/rpm +nls
+ rm -rf manual/rpm || die
+
+ for f in manual/*/man8/ld{,-linux}.so.8 ; do
+ mv ${f} ${f/.so.8/.so.ja.8} || die
+ done
+ mv "${WORKDIR}"/${GENTOO_MAN_P}/portage/g-cpan.pl{,.ja}.1 || die
+
+ eapply_user
+}
+
+src_compile() {
+ :
+}
+
+src_install() {
+
+ local x y z pkg
+
+ for x in $(tac script/pkgs.list | grep -v '^[#].*'); do
+ if [[ -z "$pkg" ]]; then
+ pkg=$x
+ continue
+ fi
+
+ if [[ "$x" == "N" ]]; then
+ pkg=
+ continue
+ fi
+
+ einfo "install $pkg"
+
+ for y in $(ls -d manual/$pkg/man* 2>/dev/null); do
+ doman -i18n=ja $y/*
+ done
+
+ pkg=
+ done
+
+ dodoc README
+
+ cd "${WORKDIR}"/${GENTOO_MAN_P}
+
+ for x in *; do
+ if [ -d "$x" ]; then
+ einfo "install $x"
+
+ for z in $(for y in $x/*.[1-9]; do echo ${y##*.}; done | sort | uniq); do
+ doman -i18n=ja $x/*.$z
+ done
+ fi
+ done
+
+ newdoc ChangeLog ChangeLog.GentooJP
+
+}
+
+pkg_postinst() {
+
+ echo
+ elog "JM (Japanese Manual) project has used utf8 encoding"
+ elog "since 2012/04."
+ elog "You need to set appropriate LANG variables to use"
+ elog "Japanese manpages."
+ elog "e.g."
+ elog "\tLANG=\"ja_JP.utf8\""
+ elog "\texport LANG"
+ echo
+
+}
next reply other threads:[~2017-12-21 9:33 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-12-21 9:33 Benda XU [this message]
-- strict thread matches above, loose matches on Subject: below --
2017-12-21 9:33 [gentoo-commits] repo/gentoo:master commit in: app-i18n/man-pages-ja/ Benda XU
2017-12-21 10:05 Benda XU
2018-02-06 18:36 Thomas Deutschmann
2018-02-14 22:59 Andreas Hüttel
2018-02-14 22:59 Andreas Hüttel
2018-05-01 21:29 Patrice Clement
2018-07-28 1:04 Mikle Kolyada
2019-05-05 12:59 Mikle Kolyada
2021-07-23 23:07 Ulrich Müller
2021-07-25 20:09 Sam James
2021-07-25 20:09 Sam James
2021-07-26 0:43 Sam James
2021-07-26 17:16 Ulrich Müller
2021-07-27 3:16 Sam James
2021-07-27 8:41 Ulrich Müller
2024-04-12 15:26 Arthur Zamarin
2024-04-12 15:26 Arthur Zamarin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1513848786.c92e6b572559d6688eaf0343e23bebdd7f8d28a4.heroxbd@gentoo \
--to=heroxbd@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox